/**
 * MultiSender.java
 * This is the Multicast Program which uses MulticastSocket. 
 * 
 * @version     1.00    $Date: 2007/12/18 03:39:44 $
 * @author      Katsumi KISHIMOTO
 */

import java.net.*;
import java.io.*;

public class MulticastSender {

  public static void main(String[] args) {
	
    InetAddress ia = null;
    int port = 0;
    String characters = "Here's some multicast data. \n";
    byte[] data = new byte[characters.length()];
    
    // $B%3%^%s%I9T$+$i%"%I%l%9$rFI$_<h$k(B
    try {
      try {
	ia = InetAddress.getByName(args[0]);
	System.out.println(ia);
      }
      catch (UnknownHostException e) {
	System.err.println(e);
      }
      port = Integer.parseInt(args[1]);
    }
    catch (Exception e) {
      System.err.println(e);
      System.err.println
	  ("Usage: java MulticastSender MulticastAddress port");
      System.exit(1);
    }
    
    characters.getBytes(0, characters.length(), data, 0);
    DatagramPacket dp = new DatagramPacket(data, data.length, ia, port);
    try {
	//$B2]Bj$O$3$N(Btry$B$NCf?H$r40@.$5$;$k$3$H!#(B
	//$B%9%H%j!<%`$OI,$:%/%m!<%:$9$k$3$H!#(B
    }
    catch (SocketException se) {
      System.err.println(se);
    }
    catch (IOException ie ) {
      System.err.println(ie);
    }
  }
}
